Summary:	The Boehm-Demers-Weiser conservative garbage collector
Summary(pl.UTF-8):	Konserwatywny odśmiecacz pamięci Boehma-Demersa-Weisera
Name:		gc
# NOTE: 7.4.x used to be considered experimental until ~2014; see DEVEL branch for now
Version:	7.2g
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	http://www.hboehm.info/gc/gc_source/%{name}-%{version}.tar.gz
# Source0-md5:	6f77f9fff5fb5bf96adfc1e93cd035b6
Patch0:	        %{name}-ac.patch
URL:		http://www.hboehm.info/gc/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake
BuildRequires:	libatomic_ops >= %{version}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gc is a conservative garbage collector for C and C++. It is used as a
replacement for standard malloc() and free(). GC_malloc will attempt
to reclaim inaccessible space automatically by invoking a conservative
garbage collector at appropriate points.

%description -l pl.UTF-8
Gc jest konserwatywnym odśmiecaczem pamięci dla C i C++. Jest używany
jako zamiennik dla standardowych funkcji malloc() i free(). GC_malloc
próbuje odzyskać niedostępna pamięć automatycznie przez wywoływanie
konserwatywnego odśmiecacza pamięci w odpowiednich miejscach.

%package devel
Summary:	Headers for conservative garbage collector
Summary(pl.UTF-8):	Nagłówki dla konserwatywnego odśmiecacza pamięci
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libatomic_ops >= %{version}

%description devel
Headers for conservative garbage collector

%description devel -l pl.UTF-8
Nagłówki dla konserwatywnego odśmiecacza pamięci

%package static
Summary:	Static version of gc library
Summary(pl.UTF-8):	Statyczna wersja biblioteki gc
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of gc library

%description static -l pl.UTF-8
Statyczna wersja biblioteki gc

%package c++
Summary:	C++ interface to GC library
Summary(pl.UTF-8):	Interfejs C++ do biblioteki GC
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description c++
C++ interface to GC library.

%description c++ -l pl.UTF-8
Interfejs C++ do biblioteki GC.

%package c++-devel
Summary:	Header files for C++ interface for GC library
Summary(pl.UTF-8):	Pliki nagłówkowe interfejsu C++ do biblioteki GC
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description c++-devel
Header files for C++ interface for GC library.

%description c++-devel -l pl.UTF-8
Pliki nagłówkowe interfejsu C++ do biblioteki GC.

%package c++-static
Summary:	C++ interface to GC library - static library
Summary(pl.UTF-8):	Interfejs C++ do biblioteki GC - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
C++ interface to GC library - static library.

%description c++-static -l pl.UTF-8
Interfejs C++ do biblioteki GC - biblioteka statyczna.

%prep
%setup -q -n %{name}-7.2
%patch0 -p1

# don't install docs to %{_datadir}/%{name}
%{__perl} -pi -e 's/^dist_pkgdata_DATA/EXTRA_DIST/' doc/doc.am

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%ifnarch sparc64
	CPPFLAGS="-DUSE_LIBC_PRIVATES" \
%endif
	--enable-cplusplus \
	--enable-threads=posix
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_includedir}/gc/private
install -D -p doc/gc.man $RPM_BUILD_ROOT%{_mandir}/man3/gc.3
# are these still needed? (what is ecls?)
cp -a include/private/* $RPM_BUILD_ROOT%{_includedir}/gc/private

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   c++ -p /sbin/ldconfig
%postun c++ -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README.QUICK doc/README{,.{linux,changes,contributors,environment,macros}}
%attr(755,root,root) %{_libdir}/libcord.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcord.so.1
%attr(755,root,root) %{_libdir}/libgc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgc.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%attr(755,root,root) %{_libdir}/libcord.so
%attr(755,root,root) %{_libdir}/libgc.so
%{_libdir}/libcord.la
%{_libdir}/libgc.la
%dir %{_includedir}/gc
%{_includedir}/gc/private
%{_includedir}/gc/cord.h
%{_includedir}/gc/cord_pos.h
%{_includedir}/gc/ec.h
%{_includedir}/gc/gc.h
%{_includedir}/gc/gc_allocator.h
%{_includedir}/gc/gc_amiga_redirects.h
%{_includedir}/gc/gc_backptr.h
%{_includedir}/gc/gc_config_macros.h
%{_includedir}/gc/gc_gcj.h
%{_includedir}/gc/gc_inline.h
%{_includedir}/gc/gc_mark.h
%{_includedir}/gc/gc_pthread_redirects.h
%{_includedir}/gc/gc_tiny_fl.h
%{_includedir}/gc/gc_typed.h
%{_includedir}/gc/gc_version.h
%{_includedir}/gc/leak_detector.h
%{_includedir}/gc/new_gc_alloc.h
%{_includedir}/gc/weakpointer.h
%{_includedir}/gc.h
%{_pkgconfigdir}/bdw-gc.pc
%{_mandir}/man3/gc.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libcord.a
%{_libdir}/libgc.a

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgccpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgccpp.so.1

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgccpp.so
%{_libdir}/libgccpp.la
%{_includedir}/gc/gc_cpp.h
%{_includedir}/gc_cpp.h

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libgccpp.a
%changelog
* Sun Jul 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gc.git;a=log;h=master

* Sun Jul 17 2016 Jakub Bogusz <qboosh@pld-linux.org> cc0f3e5
- updated install time libatomic_ops dependency and version comment

* Sat Jul 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 110ceb6
- new URLs, updated to 7.2g
- updated ac patch

* Thu Nov 12 2015 Elan Ruusamäe <glen@delfi.ee> 073f108
- move apidocs to -devel

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9514b7b
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 446df7e
- updated to 7.2e

* Thu Apr 18 2013 Kacper Kornet <draenog@pld-linux.org> 2532eda
- up to 7.2d
- patch for automake-1.13

* Sun Sep 02 2012 Paweł Sikora <pawel.sikora@agmk.net> ebacbb8
- add missing R: atomic_ops for -devel package.

* Wed May 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 307dc55
- updated to 7.2
- removed obsolete sparc patch
- added C++ interface (as -c++-* subpackages)
- needs newer libatomic_ops (with pkg-config file)

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e25d000
- release 2

* Wed May 28 2008 Jakub Bogusz <qboosh@pld-linux.org> f646219
- updated to 7.1
- updated sparc patch, removed obsolete malloc-segv patch

* Wed May 28 2008 Jakub Bogusz <qboosh@pld-linux.org> 4104214
- updated for 7.1

* Wed May 28 2008 Jakub Bogusz <qboosh@pld-linux.org> c593915
- obsolete

* Tue Mar 11 2008 hawk <hawk@pld-linux.org> 05868d3
- fixed SEGV in GC_malloc, release

* Tue Mar 11 2008 hawk <hawk@pld-linux.org> 559a995
- GC_malloc SEGV fix taken from gc 7.1alpha3

* Mon Feb 04 2008 Jakub Bogusz <qboosh@pld-linux.org> e4c9712
- BR: libatomic_ops (used only in private headers, so not adding to -devel deps)

* Wed Jan 30 2008 tommat <tommat@pld-linux.org> cc356a9
- no getcontext on sparc32

* Mon Jan 28 2008 tommat <tommat@pld-linux.org> 7f9bbb9
- added sparc patch

* Mon Jan 28 2008 tommat <tommat@pld-linux.org> cb23dab
- fix unresolved symbols on sparc

* Fri Dec 14 2007 Jakub Bogusz <qboosh@pld-linux.org> b358d50
- updated to 7.0

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 19be3b6
- rel 2

